com.ihr.xbrl.om.formula.util

## Enum ClsCombinationUsed.ComparisonResult

- java.lang.Object
- - java.lang.Enum<ClsCombinationUsed.ComparisonResult>
  - - com.ihr.xbrl.om.formula.util.ClsCombinationUsed.ComparisonResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ClsCombinationUsed.ComparisonResult>
  Enclosing class:
    ClsCombinationUsed

      public static enum ClsCombinationUsed.ComparisonResult
      extends java.lang.Enum<ClsCombinationUsed.ComparisonResult>

  The Enum ComparisonResult.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIFFERENT_COMBINATIONS` This means the two combinations are different.
    `DUPLICATE` Means both combinations are equivalent or the result in not determinant.
    `ISLIGHTER` This means that this combination is no longer the strongest combination and the new combination should replace this one in the queue.
    `ISSTRONGER` This means that this combination is strongest than the combination being compared.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClsCombinationUsed.ComparisonResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ClsCombinationUsed.ComparisonResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIFFERENT_COMBINATIONS

          public static final ClsCombinationUsed.ComparisonResult DIFFERENT_COMBINATIONS

      This means the two combinations are different. The new combination should be stored

    - #### ISSTRONGER

          public static final ClsCombinationUsed.ComparisonResult ISSTRONGER

      This means that this combination is strongest than the combination being compared.

    - #### ISLIGHTER

          public static final ClsCombinationUsed.ComparisonResult ISLIGHTER

      This means that this combination is no longer the strongest combination and the new combination should replace this one in the queue.

    - #### DUPLICATE

          public static final ClsCombinationUsed.ComparisonResult DUPLICATE

      Means both combinations are equivalent or the result in not determinant.

  - ### Method Detail

    - #### values

          public static ClsCombinationUsed.ComparisonResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClsCombinationUsed.ComparisonResult c : ClsCombinationUsed.ComparisonResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClsCombinationUsed.ComparisonResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null